Possibility of downloading Illustrator for El Capitan version 10.11.6?

New Here ,
Mar 08, 2021 Mar 08, 2021

Copy link to clipboard

Copied

I need to download Illustrator, but my computer is too old and I only have mac OS El Capitan version 10.11.6. Is it possible to find/download an older version of Illustrator that is compatible with my mac OS El Capitan? Thank you!

TOPICS
Activation billing and install

Views

35

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct Answer

Adobe Community Professional , Mar 10, 2021 Mar 10, 2021
Hi. When you view an app to download in the Creative Cloud Desktop app, look at the "All Apps" section. At the right hand side of each screen, there's an ellipses (mine are installed, but yours should look the same, with the option TO install). Inside the dropdown on that ellipses, you'll find an option to view (and install) older versions.

Likes

translate

Translate

Translate
Adobe Community Professional ,
Mar 10, 2021 Mar 10, 2021

Copy link to clipboard

Copied

Hi. When you view an app to download in the Creative Cloud Desktop app, look at the "All Apps" section. At the right hand side of each screen, there's an ellipses (mine are installed, but yours should look the same, with the option TO install). Inside the dropdown on that ellipses, you'll find an option to view (and install) older versions.

Screen Shot 2021-03-10 at 3.41.42 PM.jpg

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Apr 11, 2021 Apr 11, 2021

Copy link to clipboard

Copied

Hi there,

 

Thanks for reaching out. I am afraid macOS 10.11.6 is not compatible with the available versions of Adobe Illustrator(2020 & 2021). We'd recommend updating your macOS in order to use the latest versions of Adobe Illustrator. Please find more information on this help article(https://helpx.adobe.com/illustrator/user-guide.html/illustrator/system-requirements.ug.html).

 

Hope it helps.

 

Regards,

Ashutosh

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines